org.apache.ignite.internal.cache.query.index.sorted.keys

## Class ByteIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.NumericIndexKey
  - - org.apache.ignite.internal.cache.query.index.sorted.keys.ByteIndexKey

All Implemented Interfaces:
  IndexKey

    public class ByteIndexKey
    extends NumericIndexKey

### Constructor Summary

Constructors
Constructor and Description
`ByteIndexKey(byte key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(IndexKey o)`
`int` `compareTo(BigDecimal val)`
`int` `compareTo(boolean val)`
`int` `compareTo(byte val)`
`int` `compareTo(double val)`
`int` `compareTo(float val)`
`int` `compareTo(int val)`
`int` `compareTo(long val)`
`int` `compareTo(short val)`
`Object` `key()`
`String` `toString()`
`IndexKeyType` `type()`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.keys.NumericIndexKey

`isComparableTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ByteIndexKey

    public ByteIndexKey(byte key)

### Method Detail

#### key

    public Object key()

Returns:
  Value of this key.

#### type

    public IndexKeyType type()

Returns:
  Index key type `IndexKeyType`.

#### compareTo

    public int compareTo(boolean val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(byte val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(short val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(int val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(long val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(float val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(double val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compareTo

    public int compareTo(BigDecimal val)

Specified by:
  `compareTo` in class `NumericIndexKey`

#### compare

    public int compare(IndexKey o)

Returns:
  Comparison result with other IndexKey.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023